Subject: Re: Refactoring the tag object; Introducing soft references (softrefs); Git 'notes' (take 2)

From: Pierre Habouzit <[email-masked]>
Date: Sun, 10 Jun 2007 10:29:35 +0200

On Sun, Jun 10, 2007 at 01:16:45AM +0200, Johan Herland wrote:
> On Sunday 10 June 2007, Steven Grimm wrote:
> > Being able to specify relationships between commits after the fact seems 
> > like a very useful facility.
> > 
> > Does it make sense to have type information to record what the 
> > relationship between two objects means? Without that, it seems like 
> > it'll be hard to build much of a tool set on top of this feature, since 
> > no two tools that made use of it could unambiguously query just their 
> > own softrefs.
> 
> Actually MadCoder/Pierre had a similar idea on IRC. He wanted to separate 
> softrefs into namespaces, so that softrefs for tags could live in a 
> different place than softrefs associated with his "gits" bug tracker.
> 
> I haven't thought very much about this, but it's certainly possible to do 
> something like this. What do the rest of y'all think?

  Well, if we're two with the same idea, it's a good one, no ? :)

  In fact, the namespace idea like I told you on IRC isn't _that_
brilliant. But I'm sure recording a softref with:

  <from_sha> <to_sha> <token>

  token would help classify the softref. And I'm sure we'll end up with:

  <from_sha> <to_sha> <token> <flags>

  with the flags to say what behaviour (e.g.) the reachability resolver
should have wrt that link ?

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org